<mat-card class="example-card">
  <form class="example-form">
    <mat-form-field class="example-full-width">
      <input matInput placeholder="Bitcoin or Ethereum address" (keyup)="search($event.target.value)" />
      <mat-hint *ngIf="address?.isBitcoin">This is Bitcoin address!</mat-hint>
      <mat-hint *ngIf="address?.isEthereum">This is Ethereum address!</mat-hint>
      <mat-hint *ngIf="address?.invalid">This is invalid address</mat-hint>
    </mat-form-field>
  </form>
</mat-card>

<mat-card class="example-card" *ngIf="wallet">
  <p>User balance: {{wallet}}</p>
</mat-card>

<mat-card class="example-card">
  <p>Ethereum address - 0x37760ecabb53dded7ee2fe28ecf6eafd7eff3cab</p>
  <p>Bitcoin address - 1KFzzGtDdnq5hrwxXGjwVnKzRbvf8WVxck</p>
</mat-card>



